com.trendmicro.ds.platform.rest.object.smartfolder

## Class QueryGroup

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QueryGroup

-     public class QueryGroup
      extends java.lang.Object

  A Smart Folder Query Group

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model.Comparison` | `getComparison()` Gets the comparator for combining the queries.
    `java.util.List<Query>` | `getQuery()` Gets the list of Queries in the group.
    `void` | `setComparison(Model.Comparison comparison)` Sets the comparator for combining the queries.
    `void` | `setQuery(java.util.List<Query> query)` Sets the list of Queries in the group.
    `java.lang.String` | `toString()`
    `QueryGroup` | `withComparison(Model.Comparison comparison)` Sets the comparator for combining the queries.
    `QueryGroup` | `withQuery(java.util.List<Query> query)` Sets the list of Queries in the group.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryGroup

          public QueryGroup()

  - ### Method Detail

    - #### getQuery

          public java.util.List<Query> getQuery()

      Gets the list of Queries in the group.
      Returns:
        The list of Queries in the group.

    - #### setQuery

          public void setQuery(java.util.List<Query> query)

      Sets the list of Queries in the group.
      Parameters:
        `query` - The list of Queries in the group.

    - #### getComparison

          public Model.Comparison getComparison()

      Gets the comparator for combining the queries.
      Returns:
        The comparator for combining the queries.

    - #### setComparison

          public void setComparison(Model.Comparison comparison)

      Sets the comparator for combining the queries.
      Parameters:
        `comparison` - The comparator for combining the queries.

    - #### withQuery

          public QueryGroup withQuery(java.util.List<Query> query)

      Sets the list of Queries in the group.
      Parameters:
        `query` - The list of Queries in the group.
      Returns:
        The updated QueryGroup.

    - #### withComparison

          public QueryGroup withComparison(Model.Comparison comparison)

      Sets the comparator for combining the queries.
      Parameters:
        `comparison` - The comparator for combining the queries.
      Returns:
        The updated QueryGroup.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.